Subject: Re: [PATCH net-next] tcp_ipv6: set the drop_reason in the right place

From: Jakub Kicinski <[email-masked]>
Date: Fri, 20 May 2022 09:34:25 -0700

On Fri, 20 May 2022 18:22:22 +0200 Matthieu Baerts wrote:
> On 20/05/2022 04:13, Jakub Kicinski wrote:
> > Looks like the IPv6 version of the patch under Fixes was
> > a copy/paste of the IPv4 but hit the wrong spot.
> > It is tcp_v6_rcv() which uses drop_reason as a boolean, and
> > needs to be protected against reason == 0 before calling free.
> > tcp_v6_do_rcv() has a pretty straightforward flow.  
> 
> Thank you for the patch!
> 
> It looks like this fixes an issue our MPTCP CI detected recently:
> 
> https://github.com/multipath-tcp/mptcp_net-next/issues/277
> 
> 
> Just in case someone else had this issue on their side, here is the call
> trace we had:

Ack, I got the same trace. Let me add the trace to the commit msg and
fast-path merging this fix so more people don't hit the stack trace.